-- 基础信息
base_info = {
	group_id = 133303665
}

-- Trigger变量
defs = {
	hintTime = 30,
	coinTime = 20,
	maxRegion = 665056,
	challengeId = 2010071,
	galleryId = 33004,
	skillDuration = 10
}

-- DEFS_MISCS
defs_miscs = {
        specialCoinTable = {
        -- 每项格式如下
        [665018] = {665030,665031,665032,665033,665034,665035,665036,665028,665029,665006,665007,665008,665009,665010,665011},
    },
}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	[665001] = { config_id = 665001, gadget_id = 70220136, pos = { x = -2016.350, y = 284.372, z = 4073.188 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 26 },
	[665002] = { config_id = 665002, gadget_id = 70220136, pos = { x = -2016.350, y = 282.372, z = 4073.188 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 26 },
	[665003] = { config_id = 665003, gadget_id = 70220136, pos = { x = -2016.350, y = 280.372, z = 4073.188 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 26 },
	[665004] = { config_id = 665004, gadget_id = 70220136, pos = { x = -2016.350, y = 278.372, z = 4073.188 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 26 },
	[665005] = { config_id = 665005, gadget_id = 70220136, pos = { x = -2016.350, y = 276.372, z = 4073.188 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 26 },
	[665006] = { config_id = 665006, gadget_id = 70220131, pos = { x = -1997.144, y = 293.920, z = 4086.771 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 26 },
	[665007] = { config_id = 665007, gadget_id = 70220131, pos = { x = -1993.904, y = 293.744, z = 4091.928 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 26 },
	[665008] = { config_id = 665008, gadget_id = 70220131, pos = { x = -1999.463, y = 289.114, z = 4081.621 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 26 },
	[665009] = { config_id = 665009, gadget_id = 70220131, pos = { x = -1992.465, y = 287.873, z = 4079.971 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 26 },
	[665010] = { config_id = 665010, gadget_id = 70220131, pos = { x = -1988.377, y = 288.110, z = 4077.110 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 26 },
	[665011] = { config_id = 665011, gadget_id = 70220131, pos = { x = -1985.958, y = 289.762, z = 4076.842 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 26 },
	[665012] = { config_id = 665012, gadget_id = 70220131, pos = { x = -1994.622, y = 299.424, z = 4132.096 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 26 },
	[665013] = { config_id = 665013, gadget_id = 70220131, pos = { x = -1995.561, y = 301.324, z = 4127.428 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 26 },
	[665014] = { config_id = 665014, gadget_id = 70220131, pos = { x = -1996.368, y = 301.324, z = 4122.409 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 26 },
	[665015] = { config_id = 665015, gadget_id = 70220131, pos = { x = -1998.238, y = 301.324, z = 4117.442 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 26 },
	[665016] = { config_id = 665016, gadget_id = 70220131, pos = { x = -2001.584, y = 301.464, z = 4112.792 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 26 },
	[665017] = { config_id = 665017, gadget_id = 70220131, pos = { x = -2005.835, y = 301.464, z = 4107.656 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 26 },
	[665018] = { config_id = 665018, gadget_id = 70220132, pos = { x = -1994.879, y = 287.978, z = 4080.695 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 26 },
	[665019] = { config_id = 665019, gadget_id = 70220131, pos = { x = -2006.324, y = 301.464, z = 4097.966 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 26 },
	[665020] = { config_id = 665020, gadget_id = 70220131, pos = { x = -2002.323, y = 299.833, z = 4092.617 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 26 },
	[665021] = { config_id = 665021, gadget_id = 70220131, pos = { x = -1985.773, y = 296.971, z = 4136.283 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 26 },
	[665022] = { config_id = 665022, gadget_id = 70220131, pos = { x = -1982.947, y = 296.974, z = 4129.500 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 26 },
	[665023] = { config_id = 665023, gadget_id = 70220131, pos = { x = -1984.928, y = 297.004, z = 4123.093 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 26 },
	[665024] = { config_id = 665024, gadget_id = 70220131, pos = { x = -1985.572, y = 296.471, z = 4116.847 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 26 },
	[665025] = { config_id = 665025, gadget_id = 70220131, pos = { x = -1986.412, y = 294.163, z = 4111.645 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 26 },
	[665026] = { config_id = 665026, gadget_id = 70220131, pos = { x = -1988.101, y = 291.834, z = 4103.635 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 26 },
	[665027] = { config_id = 665027, gadget_id = 70220131, pos = { x = -1988.322, y = 289.276, z = 4090.598 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 26 },
	[665028] = { config_id = 665028, gadget_id = 70220131, pos = { x = -1992.593, y = 293.729, z = 4094.387 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 26 },
	[665029] = { config_id = 665029, gadget_id = 70220131, pos = { x = -1999.735, y = 293.905, z = 4084.659 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 26 },
	[665030] = { config_id = 665030, gadget_id = 70220131, pos = { x = -1983.805, y = 292.945, z = 4079.067 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 26 },
	[665031] = { config_id = 665031, gadget_id = 70220131, pos = { x = -1982.050, y = 292.945, z = 4082.406 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 26 },
	[665032] = { config_id = 665032, gadget_id = 70220131, pos = { x = -1980.744, y = 298.363, z = 4085.914 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 26 },
	[665033] = { config_id = 665033, gadget_id = 70220131, pos = { x = -1982.165, y = 300.191, z = 4087.368 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 26 },
	[665034] = { config_id = 665034, gadget_id = 70220131, pos = { x = -1984.908, y = 298.777, z = 4089.003 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 26 },
	[665035] = { config_id = 665035, gadget_id = 70220131, pos = { x = -1987.591, y = 297.463, z = 4090.676 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 26 },
	[665036] = { config_id = 665036, gadget_id = 70220131, pos = { x = -1990.101, y = 295.674, z = 4092.459 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 26 },
	[665037] = { config_id = 665037, gadget_id = 70220136, pos = { x = -2011.807, y = 285.961, z = 4076.535 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 26 },
	[665038] = { config_id = 665038, gadget_id = 70220136, pos = { x = -2009.091, y = 286.668, z = 4077.946 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 26 },
	[665039] = { config_id = 665039, gadget_id = 70220136, pos = { x = -2003.885, y = 287.483, z = 4079.790 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 26 },
	[665040] = { config_id = 665040, gadget_id = 70220131, pos = { x = -2015.655, y = 285.109, z = 4075.002 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 26 },
	[665041] = { config_id = 665041, gadget_id = 70220131, pos = { x = -2012.297, y = 264.991, z = 4075.228 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 26 },
	[665042] = { config_id = 665042, gadget_id = 70220131, pos = { x = -2010.495, y = 266.691, z = 4074.447 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 26 },
	[665043] = { config_id = 665043, gadget_id = 70220131, pos = { x = -2007.740, y = 267.989, z = 4074.034 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 26 },
	[665044] = { config_id = 665044, gadget_id = 70220131, pos = { x = -1999.530, y = 270.841, z = 4070.869 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 26 },
	[665045] = { config_id = 665045, gadget_id = 70220131, pos = { x = -1994.575, y = 271.430, z = 4070.481 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 26 },
	[665046] = { config_id = 665046, gadget_id = 70220131, pos = { x = -1989.977, y = 271.292, z = 4070.815 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 26 },
	[665047] = { config_id = 665047, gadget_id = 70330434, pos = { x = -1974.338, y = 271.145, z = 4067.665 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 26 },
	[665048] = { config_id = 665048, gadget_id = 70220131, pos = { x = -1985.357, y = 271.406, z = 4072.797 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 26 },
	[665049] = { config_id = 665049, gadget_id = 70220131, pos = { x = -1979.832, y = 271.529, z = 4072.422 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 26 },
	[665050] = { config_id = 665050, gadget_id = 70220131, pos = { x = -1975.241, y = 272.127, z = 4068.163 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 26 },
	[665053] = { config_id = 665053, gadget_id = 70220103, pos = { x = -2001.927, y = 271.529, z = 4071.426 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 26 }
}

-- 区域
regions = {
	[665056] = { config_id = 665056, shape = RegionShape.SPHERE, radius = 100, pos = { x = -2002.441, y = 299.198, z = 4089.100 }, area_id = 26 }
}

-- 触发器
triggers = {
	{ config_id = 1665056, name = "ENTER_REGION_665056", event = EventType.EVENT_ENTER_REGION, source = "", condition = "", action = "", trigger_count = 0, forbid_guest = false }
}

-- 点位
points = {
	[665057] = { config_id = 665057, pos = { x = -1991.936, y = 298.128, z = 4137.826 }, rot = { x = 0.000, y = 161.184, z = 0.000 }, area_id = 26 },
	[665058] = { config_id = 665058, pos = { x = -1994.363, y = 298.128, z = 4137.017 }, rot = { x = 0.000, y = 161.184, z = 0.000 }, area_id = 26 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { 665001, 665002, 665003, 665004, 665005, 665006, 665007, 665008, 665009, 665010, 665011, 665012, 665013, 665014, 665015, 665016, 665017, 665018, 665019, 665020, 665021, 665022, 665023, 665024, 665025, 665026, 665027, 665028, 665029, 665030, 665031, 665032, 665033, 665034, 665035, 665036, 665037, 665038, 665039, 665040, 665041, 665042, 665043, 665044, 665045, 665046, 665047, 665048, 665049, 665050, 665053 },
		regions = { 665056 },
		triggers = { "ENTER_REGION_665056" },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V3_3/CoinCollect"
